Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456303 - Review Request: bcrypt - File encryption utility
Summary: Review Request: bcrypt - File encryption utility
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 18:05 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 06:40:42 UTC
rpandit: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2008-07-22 18:05:40 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/bcrypt.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/bcrypt-1.1-1.fc9.src.rpm

Description: 

Bcrypt is a cross platform file encryption utility. Encrypted files are
portable across all supported operating systems and processors.
Passphrases must be between 8 and 56 characters and are hashed internally
to a 448 bit key. However, all characters supplied are significant. The
stronger your passphrase, the more secure your data.

In addition to encrypting your data, bcrypt will by default overwrite the
original input file with random garbage three times before deleting it in
order to thwart data recovery attempts by persons who may gain access to
your computer. Bcrypt uses the blowfish encryption algorithm published by 
Bruce Schneier in 1993.

Comment 1 Rakesh Pandit 2008-07-23 07:44:51 UTC
I would be happy to review this package. Look for the review today late.

Comment 2 Rakesh Pandit 2008-07-24 04:06:56 UTC
Package did not built for me -- BuildRequires needs zlib-devel
I compiled it after adding Buildrequires and here is review:

Required

[x] rpmlint output 
[x] package naming
[x] spec file name
[x] packaging guidlines 
[x] license approved
[x] license field in spec
[x] license file
[x] language used in spec file -- American English
[x] spec file -- legible
[!] Source0 link did not worked for me, though I know this link should work for 
all projects on sourceforge. 
     I downloaded using http://bcrypt.sourceforge.net/bcrypt-1.1.tar.gz and 
assume you did the same. 
     May you please confirm.
     md5sum
     upstream - 8ce2873836ccd433329c8df0e37e298c
     package source - 8ce2873836ccd433329c8df0e37e298c
[!] package build in mock
[!] BuildRequires -- zlib-devel missing
[NA] locales
[NA] shared library files
[NA] relocatable
[x] owns directory it creates in %{doc}
[x] duplicate files not present
[x] %clean & %install section contain rm -rf $RPM_BUILD_ROOT
[x] permissible package content 
[x] file encoding - utf-8
[x] file permissions -- correct
[NA] Header files and static libraries 
[x] package has no dependency on files in %doc
[NA] GUI

Optional
[NA] Query upstream regarding license
[NA] Translation for description and summary available
[!] Package build in mock for all architectures -- failed
     but after putting in BuildRequires build correctly
[NA] scripts used
[x] No dependencies outside FHS guidelines
[NA] subpackages
[NA] .pc files 

Optional suggestions (you may not like to consider them):
a. BuiltRoot tag %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) 
is preferred
b. using macros consistently e.g URL can be http://%{name}.sourceforge.net/

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated

Comment 3 Rahul Sundaram 2008-07-30 04:40:31 UTC
Fixed BR. The regular url for sf.net works fine for me. Fixed macro. Left
BuildRoot alone since that is technically obsolete anyway. 

http://sundaram.fedorapeople.org/packages/bcrypt.spec
http://sundaram.fedorapeople.org/packages/bcrypt-1.1-2.fc9.src.rpm

Comment 4 Rakesh Pandit 2008-08-01 16:41:26 UTC
APPROVED

It shows some warnings while building. -- They are all cosmetic and can be ignored.

But for small packages I will rather fixing them quickly;-)

May be you can try pushing this patch upstream, it removes all warnings I see.
http://rakesh.fedorapeople.org/misc/bcrypt.patch

 

Comment 5 Rahul Sundaram 2008-08-03 12:05:13 UTC
New Package CVS Request
=======================
Package Name: bcrypt
Short Description: File encryption utility 
Owners: sundaram
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2008-08-04 18:41:27 UTC
cvs done.

Comment 7 Fedora Update System 2008-08-05 23:05:26 UTC
bcrypt-1.1-2.fc9 has been submitted as an update for Fedora 9

Comment 8 Fedora Update System 2008-08-05 23:14:43 UTC
bcrypt-1.1-2.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-08-07 23:55:06 UTC
bcrypt-1.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bcrypt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7072

Comment 10 Fedora Update System 2008-08-07 23:58:34 UTC
bcrypt-1.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bcrypt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7110

Comment 11 Rakesh Pandit 2008-09-03 14:12:33 UTC
Same here -- I suppose you can push it to stable and close this ?

Comment 12 Fedora Update System 2008-09-10 06:40:39 UTC
bcrypt-1.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-09-10 06:48:49 UTC
bcrypt-1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.